# passwall-mobile

PassWall Mobile is a mobile client for PassWall API written with Flutter.

![Flutter CI](https://github.com/pass-wall/passwall-mobile/workflows/Flutter%20CI/badge.svg?branch=master)
[![Made-with-Flutter](https://img.shields.io/badge/Made%20with-Flutter-5fc9f8.svg)](https://flutter.dev/)
[![Made-with-Dart](https://img.shields.io/badge/Made%20with-Dart-13589c.svg)](https://dart.dev/)

## Getting Started

1. Clone the [server app](https://github.com/pass-wall/passwall-server) and build it.

1. Clone Flutter master branch to your Workspace with `git clone https://github.com/flutter/flutter.git -b master`.

1. Add `/flutter/bin` to your path.

1. Run `flutter doctor -v` and cure if any disease.

1. Run `flutter pub get` in repository clone

## Hello Contributers

1. Don't send too much commit at once. It will be easier for us to do a code review.

1. Be sure to take a look at the second branch. The version I am working on is there.

1. First try to fix `//TODO:`s in the code.

1. Then you can contribute to the development by following the mile stones.

1. Don't mess with the user interface. The design guide has not been released yet.

> If you want to connect to the localhost server with the Android emulator, you need to write `http://10.0.2.2:3625` or you can use our demo server: [Heroku Demo server](https://passwall-server.herokuapp.com).

## Working on

- [x] Preparation for Windows, Linux and browser applications
- [x] Application architecture overhaul and renewal
- [x] Biometric Authentication
- [ ] Dark Mode

## In the future

- [ ] The list on the main page can be sorted according to the request of the user
- [ ] Ability to share content to PassWall from another application
- [ ] iOS Blur Screen when the app is in the background


## Some Screen Shots

### Screens

<table>
    <tr>
        <td><img src="screenshots/login.png" alt="Login Screen"/></td>
        <td><img src="screenshots/main.png" alt="Main Screen"/></td>
        <td><img src="screenshots/detail.png" alt="Detail Screen"/></td>
        <td><img src="screenshots/about.png" alt="About Screen"/></td>
    </tr>
    <tr>
        <td>Login Screen:point_up:</td>
        <td>Main Screen:point_up:</td>
        <td>Detail Screen:point_up:</td>
        <td>About Screen:point_up:</td>
    </tr>
</table>

### Actions

<table>
    <tr>
        <td><img src="screenshots/mainAction.png" alt="Main Action"/></td>
        <td><img src="screenshots/tileAction.png" alt="Tile Action"/></td>
        <td><img src="screenshots/createNew.png" alt="Create New"/></td>
    </tr>
    <tr>
        <td>Main Action:point_up:</td>
        <td>Tile Action:point_up:</td>
        <td>Create New:point_up:</td>
    </tr>
</table>

### Share

<table>
    <tr>
        <td><img src="screenshots/export.png" alt="Export"/></td>
        <td><img src="screenshots/import.png" alt="Import"/></td>
        <td><img src="screenshots/share.png" alt="Share"/></td>
  </tr>
  <tr>
        <td>Export:point_up:</td>
        <td>Import:point_up:</td>
        <td>Share:point_up:</td>
  </tr>
</table>


